package javax.management.openmbean;

import javax.management.MBeanParameterInfo;

public interface OpenMBeanOperationInfo
{
    public abstract String getDescription();
    
    public abstract String getName();
    
    public abstract MBeanParameterInfo[] getSignature();
    
    public abstract int getImpact();
    
    public abstract String getReturnType();
    
    public abstract OpenType<?> getReturnOpenType();
    
    public abstract boolean equals(Object p0);
    
    public abstract int hashCode();
    
    public abstract String toString();
}
